post
https://api-sandboxdash.norcapsecurities.com/tapiv3/index.php/v3/getTrade
This method is used to get the all the details of all the trades for an account. The Account ID is required to get the details.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request Parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| clientID | yes | string | TransactAPI Client ID |
| developerAPIKey | yes | string | TransactAPI Developer Key |
| accountId | yes | string | Account ID generated by the API |
| tradeId | no | integer | Trade ID generated by the API |
Sample Request
curl -k -X POST https://api-sandboxdash.norcapsecurities.com/tapiv3/index.php/v3/getTrade
-d developerAPIKey=somedeveloperkey
-d clientID=someclientid
-d accountId=A12345
-d tradeId=232242322Response Parameters
| Parameter | Type | Description |
|---|---|---|
| statusCode | string | API Status Code |
| statusDesc | string | API Status Description |
| tradeDetails | string | Returns the trade details as an array |
Sample Response
{
"statusCode": "101",
"statusDesc": "Ok",
"partyDetails": [{
"id": "789505",
"developerAPIKey": "XXXXXXXXXXXXXXX",
"offeringId": "44238",
"accountId": "A49501",
"partyId": "P28759",
"party_type": "IndivACParty",
"escrowId": null,
"orderId": "384003730",
"transactionType": "ACH",
"totalAmount": "100.000000",
"totalShares": "1.000000",
"orderStatus": "CREATED",
"createdDate": "2018-07-06 12:27:07",
"createdIpAddress": "110.172.170.246",
"errors": "",
"documentKey": "",
"esignStatus": "NOTSIGNED",
"users": "",
"field1": null,
"field2": null,
"field3": null,
"archived_status": "0",
"RRApprovalStatus": "Pending",
"RRName": "Test",
"RRApprovalDate": "09-10-2019",
"PrincipalApprovalStatus": "Pending",
"PrincipalName": "Test",
"PrincipalDate": "09-10-2019"
}, {
"id": "789506",
"developerAPIKey": "XXXXXXXXXXXXXXX",
"offeringId": "44238",
"accountId": "A49501",
"partyId": "P28759",
"party_type": "IndivACParty",
"escrowId": null,
"orderId": "480932944",
"transactionType": "WIRE",
"totalAmount": "100.000000",
"totalShares": "1.000000",
"orderStatus": "CREATED",
"createdDate": "2018-07-06 12:27:46",
"createdIpAddress": "110.172.170.246",
"errors": "",
"documentKey": "",
"esignStatus": "NOTSIGNED",
"users": "",
"field1": null,
"field2": null,
"field3": null,
"archived_status": "0",
"RRApprovalStatus": "Pending",
"RRName": "Test",
"RRApprovalDate": "09-10-2019",
"PrincipalApprovalStatus": "Pending",
"PrincipalName": "Test",
"PrincipalDate": "09-10-2019"
}]
}
